std::__debug::multiset< _Key, _Compare, _Allocator > Class Template Reference

`#include <multiset.h>`

Inheritance diagram for std::__debug::multiset< _Key, _Compare, _Allocator >:
[legend]

## Public Types

typedef _Allocator | allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, multiset > | const_iterator
typedef _Base::const_pointer | const_pointer
typedef _Base::const_reference | const_reference
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef _Base::difference_type | difference_type
typedef __gnu_debug::_Safe_iterator< _Base_iterator, multiset > | iterator
typedef _Compare | key_compare
typedef _Key | key_type
typedef _Base::pointer | pointer
typedef _Base::reference | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef _Base::size_type | size_type
typedef _Compare | value_compare
typedef _Key | value_type

## Public Member Functions

template<typename _InputIterator >
| multiset (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
template<typename _InputIterator >
| multiset (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
| multiset (const _Base &__x)
| multiset (const _Compare &__comp, const _Allocator &__a=_Allocator())
| multiset (const allocator_type &__a)
| multiset (const multiset &)=default
| multiset (const multiset &__m, const allocator_type &__a)
| multiset (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
| multiset (initializer_list< value_type > __l, const allocator_type &__a)
| multiset (multiset &&)=default
| multiset (multiset &&__m, const allocator_type &__a) noexcept(noexcept(_Base(std::move(__m._M_base()), __a)))
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
void | _M_swap (_Safe_container &__x) noexcept
const_iterator | begin () const noexcept
iterator | begin () noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
void | clear () noexcept
const_reverse_iterator | crbegin () const noexcept
const_reverse_iterator | crend () const noexcept
template<typename... _Args>
iterator | emplace (_Args &&... __args)
template<typename... _Args>
iterator | emplace_hint (const_iterator __pos, _Args &&... __args)
const_iterator | end () const noexcept
iterator | end () noexcept
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
std::pair< iterator, iterator > | equal_range (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
std::pair< const_iterator, const_iterator > | equal_range (const _Kt &__x) const
std::pair< iterator, iterator > | equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > | equal_range (const key_type &__x) const
size_type | erase (const key_type &__x)
_GLIBCXX_ABI_TAG_CXX11 iterator | erase (const_iterator __first, const_iterator __last)
_GLIBCXX_ABI_TAG_CXX11 iterator | erase (const_iterator __position)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | find (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | find (const _Kt &__x) const
iterator | find (const key_type &__x)
const_iterator | find (const key_type &__x) const
template<typename _InputIterator >
void | insert (_InputIterator __first, _InputIterator __last)
iterator | insert (const value_type &__x)
iterator | insert (const_iterator __position, const value_type &__x)
iterator | insert (const_iterator __position, value_type &&__x)
void | insert (initializer_list< value_type > __l)
iterator | insert (value_type &&__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | lower_bound (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | lower_bound (const _Kt &__x) const
iterator | lower_bound (const key_type &__x)
const_iterator | lower_bound (const key_type &__x) const
multiset & | operator= (const multiset &)=default
multiset & | operator= (initializer_list< value_type > __l)
multiset & | operator= (multiset &&)=default
const_reverse_iterator | rbegin () const noexcept
reverse_iterator | rbegin () noexcept
const_reverse_iterator | rend () const noexcept
reverse_iterator | rend () noexcept
void | swap (multiset &__x) noexcept(/*conditional */)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | upper_bound (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | upper_bound (const _Kt &__x) const
iterator | upper_bound (const key_type &__x)
const_iterator | upper_bound (const key_type &__x) const

## Protected Member Functions

_Safe_container & | _M_safe () noexcept

## Friends

template<typename _ItT , typename _SeqT , typename _CatT >
class | ::__gnu_debug::_Safe_iterator

## Detailed Description

template<typename _Key, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
class std::__debug::multiset< _Key, _Compare, _Allocator >

Class std::multiset with safety/checking/debug instrumentation.

Definition at line 44 of file debug/multiset.h.

## Member Typedef Documentation

## allocator_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Allocator std::__debug::multiset< _Key, _Compare, _Allocator >::allocator_type

Definition at line 67 of file debug/multiset.h.

## const_iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef __gnu_debug::_Safe_iterator<_Base_const_iterator, multiset> std::__debug::multiset< _Key, _Compare, _Allocator >::const_iterator

Definition at line 74 of file debug/multiset.h.

## const_pointer

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::const_pointer std::__debug::multiset< _Key, _Compare, _Allocator >::const_pointer

Definition at line 79 of file debug/multiset.h.

## const_reference

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::const_reference std::__debug::multiset< _Key, _Compare, _Allocator >::const_reference

Definition at line 69 of file debug/multiset.h.

## const_reverse_iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef std::reverse_iterator<const_iterator> std::__debug::multiset< _Key, _Compare, _Allocator >::const_reverse_iterator

Definition at line 81 of file debug/multiset.h.

## difference_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::difference_type std::__debug::multiset< _Key, _Compare, _Allocator >::difference_type

Definition at line 77 of file debug/multiset.h.

## iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef __gnu_debug::_Safe_iterator<_Base_iterator, multiset> std::__debug::multiset< _Key, _Compare, _Allocator >::iterator

Definition at line 72 of file debug/multiset.h.

## key_compare

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Compare std::__debug::multiset< _Key, _Compare, _Allocator >::key_compare

Definition at line 65 of file debug/multiset.h.

## key_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Key std::__debug::multiset< _Key, _Compare, _Allocator >::key_type

Definition at line 63 of file debug/multiset.h.

## pointer

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::pointer std::__debug::multiset< _Key, _Compare, _Allocator >::pointer

Definition at line 78 of file debug/multiset.h.

## reference

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::reference std::__debug::multiset< _Key, _Compare, _Allocator >::reference

Definition at line 68 of file debug/multiset.h.

## reverse_iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef std::reverse_iterator<iterator> std::__debug::multiset< _Key, _Compare, _Allocator >::reverse_iterator

Definition at line 80 of file debug/multiset.h.

## size_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::size_type std::__debug::multiset< _Key, _Compare, _Allocator >::size_type

Definition at line 76 of file debug/multiset.h.

## value_compare

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Compare std::__debug::multiset< _Key, _Compare, _Allocator >::value_compare

Definition at line 66 of file debug/multiset.h.

## value_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Key std::__debug::multiset< _Key, _Compare, _Allocator >::value_type

Definition at line 64 of file debug/multiset.h.

## Constructor & Destructor Documentation

## multiset() [1/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | initializer_list< value_type > | __l,
|  | const _Compare & | __comp = `_Compare()`,
|  | const allocator_type & | __a = `allocator_type()`
| ) |  |

inline

Definition at line 97 of file debug/multiset.h.

## multiset() [2/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | const allocator_type & | __a | ) |

inline explicit

Definition at line 103 of file debug/multiset.h.

## multiset() [3/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | const multiset< _Key, _Compare, _Allocator > & | __m,
|  | const allocator_type & | __a
| ) |  |

inline

Definition at line 106 of file debug/multiset.h.

## multiset() [4/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | multiset< _Key, _Compare, _Allocator > && | __m,
|  | const allocator_type & | __a
| ) |  |

inline noexcept

Definition at line 109 of file debug/multiset.h.

## multiset() [5/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | initializer_list< value_type > | __l,
|  | const allocator_type & | __a
| ) |  |

inline

Definition at line 114 of file debug/multiset.h.

## multiset() [6/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _InputIterator >

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const allocator_type & | __a
| ) |  |

inline

Definition at line 119 of file debug/multiset.h.

## multiset() [7/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | const _Compare & | __comp,
|  | const _Allocator & | __a = `_Allocator()`
| ) |  |

inline explicit

Definition at line 128 of file debug/multiset.h.

## multiset() [8/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _InputIterator >

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const _Compare & | __comp = `_Compare()`,
|  | const _Allocator & | __a = `_Allocator()`
| ) |  |

inline

Definition at line 133 of file debug/multiset.h.

## multiset() [9/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__debug::multiset< _Key, _Compare, _Allocator >::multiset | ( | const _Base & | __x | ) |

inline

Definition at line 141 of file debug/multiset.h.

## Member Function Documentation

## _M_base() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const _Base & std::__debug::multiset< _Key, _Compare, _Allocator >::_M_base | ( |  | ) | const

inline noexcept

Definition at line 547 of file debug/multiset.h.

## _M_base() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

_Base & std::__debug::multiset< _Key, _Compare, _Allocator >::_M_base | ( |  | ) |

inline noexcept

Definition at line 544 of file debug/multiset.h.

## _M_safe()

template<typename _SafeContainer , typename _Alloc , template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>

_Safe_container & __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >::_M_safe | ( |  | ) |

inline protected noexcept inherited

Definition at line 52 of file safe_container.h.

## _M_swap()

template<typename _SafeContainer , typename _Alloc , template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>

void __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >::_M_swap | ( | _Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > & | __x | ) |

inline noexcept inherited

Definition at line 104 of file safe_container.h.

## begin() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::begin | ( |  | ) | const

inline noexcept

Definition at line 176 of file debug/multiset.h.

## begin() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::begin | ( |  | ) |

inline noexcept

Definition at line 172 of file debug/multiset.h.

## cbegin()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::cbegin | ( |  | ) | const

inline noexcept

Definition at line 205 of file debug/multiset.h.

## cend()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::cend | ( |  | ) | const

inline noexcept

Definition at line 209 of file debug/multiset.h.

## clear()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

void std::__debug::multiset< _Key, _Compare, _Allocator >::clear | ( |  | ) |

inline noexcept

Definition at line 410 of file debug/multiset.h.

## crbegin()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_reverse_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::crbegin | ( |  | ) | const

inline noexcept

Definition at line 213 of file debug/multiset.h.

## crend()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_reverse_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::crend | ( |  | ) | const

inline noexcept

Definition at line 217 of file debug/multiset.h.

## emplace()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename... _Args>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::emplace | ( | _Args &&... | __args | ) |

inline

Definition at line 230 of file debug/multiset.h.

## emplace_hint()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename... _Args>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::emplace_hint | ( | const_iterator | __pos,
|  | _Args &&... | __args
| ) |  |

inline

Definition at line 235 of file debug/multiset.h.

## end() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::end | ( |  | ) | const

inline noexcept

Definition at line 184 of file debug/multiset.h.

## end() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::end | ( |  | ) |

inline noexcept

Definition at line 180 of file debug/multiset.h.

## equal_range() [1/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

std::pair< iterator, iterator > std::__debug::multiset< _Key, _Compare, _Allocator >::equal_range | ( | const _Kt & | __x | ) |

inline

Definition at line 526 of file debug/multiset.h.

## equal_range() [2/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

std::pair< const_iterator, const_iterator > std::__debug::multiset< _Key, _Compare, _Allocator >::equal_range | ( | const _Kt & | __x | ) | const

inline

Definition at line 536 of file debug/multiset.h.

## equal_range() [3/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::pair< iterator, iterator > std::__debug::multiset< _Key, _Compare, _Allocator >::equal_range | ( | const key_type & | __x | ) |

inline

Definition at line 502 of file debug/multiset.h.

## equal_range() [4/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::pair< const_iterator, const_iterator > std::__debug::multiset< _Key, _Compare, _Allocator >::equal_range | ( | const key_type & | __x | ) | const

inline

Definition at line 513 of file debug/multiset.h.

## erase() [1/3]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

size_type std::__debug::multiset< _Key, _Compare, _Allocator >::erase | ( | const key_type & | __x | ) |

inline

Definition at line 346 of file debug/multiset.h.

## erase() [2/3]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

_GLIBCXX_ABI_TAG_CXX11 iterator std::__debug::multiset< _Key, _Compare, _Allocator >::erase | ( | const_iterator | __first,
|  | const_iterator | __last
| ) |  |

inline

Definition at line 364 of file debug/multiset.h.

## erase() [3/3]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

_GLIBCXX_ABI_TAG_CXX11 iterator std::__debug::multiset< _Key, _Compare, _Allocator >::erase | ( | const_iterator | __position | ) |

inline

Definition at line 329 of file debug/multiset.h.

## find() [1/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::find | ( | const _Kt & | __x | ) |

inline

Definition at line 436 of file debug/multiset.h.

## find() [2/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::find | ( | const _Kt & | __x | ) | const

inline

Definition at line 443 of file debug/multiset.h.

## find() [3/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::find | ( | const key_type & | __x | ) |

inline

Definition at line 422 of file debug/multiset.h.

## find() [4/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::find | ( | const key_type & | __x | ) | const

inline

Definition at line 428 of file debug/multiset.h.

## insert() [1/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _InputIterator >

void std::__debug::multiset< _Key, _Compare, _Allocator >::insert | ( | _InputIterator | __first,
|  | _InputIterator | __last
| ) |  |

inline

Definition at line 274 of file debug/multiset.h.

## insert() [2/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::insert | ( | const value_type & | __x | ) |

inline

Definition at line 247 of file debug/multiset.h.

## insert() [3/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::insert | ( | const_iterator | __position,
|  | const value_type & | __x
| ) |  |

inline

Definition at line 257 of file debug/multiset.h.

## insert() [4/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::insert | ( | const_iterator | __position,
|  | value_type && | __x
| ) |  |

inline

Definition at line 265 of file debug/multiset.h.

## insert() [5/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

void std::__debug::multiset< _Key, _Compare, _Allocator >::insert | ( | initializer_list< value_type > | __l | ) |

inline

Definition at line 288 of file debug/multiset.h.

## insert() [6/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::insert | ( | value_type && | __x | ) |

inline

Definition at line 252 of file debug/multiset.h.

## lower_bound() [1/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::lower_bound | ( | const _Kt & | __x | ) |

inline

Definition at line 464 of file debug/multiset.h.

## lower_bound() [2/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::lower_bound | ( | const _Kt & | __x | ) | const

inline

Definition at line 471 of file debug/multiset.h.

## lower_bound() [3/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::lower_bound | ( | const key_type & | __x | ) |

inline

Definition at line 450 of file debug/multiset.h.

## lower_bound() [4/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::lower_bound | ( | const key_type & | __x | ) | const

inline

Definition at line 456 of file debug/multiset.h.

## operator=()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

multiset & std::__debug::multiset< _Key, _Compare, _Allocator >::operator= | ( | initializer_list< value_type > | __l | ) |

inline

Definition at line 160 of file debug/multiset.h.

## rbegin() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_reverse_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::rbegin | ( |  | ) | const

inline noexcept

Definition at line 192 of file debug/multiset.h.

## rbegin() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

reverse_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::rbegin | ( |  | ) |

inline noexcept

Definition at line 188 of file debug/multiset.h.

## rend() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_reverse_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::rend | ( |  | ) | const

inline noexcept

Definition at line 200 of file debug/multiset.h.

## rend() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

reverse_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::rend | ( |  | ) |

inline noexcept

Definition at line 196 of file debug/multiset.h.

## swap()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

void std::__debug::multiset< _Key, _Compare, _Allocator >::swap | ( | multiset< _Key, _Compare, _Allocator > & | __x | ) |

inline noexcept

Definition at line 402 of file debug/multiset.h.

## upper_bound() [1/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::upper_bound | ( | const _Kt & | __x | ) |

inline

Definition at line 490 of file debug/multiset.h.

## upper_bound() [2/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::upper_bound | ( | const _Kt & | __x | ) | const

inline

Definition at line 497 of file debug/multiset.h.

## upper_bound() [3/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__debug::multiset< _Key, _Compare, _Allocator >::upper_bound | ( | const key_type & | __x | ) |

inline

Definition at line 476 of file debug/multiset.h.

## upper_bound() [4/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__debug::multiset< _Key, _Compare, _Allocator >::upper_bound | ( | const key_type & | __x | ) | const

inline

Definition at line 482 of file debug/multiset.h.

## Friends And Related Symbol Documentation

## ::__gnu_debug::_Safe_iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _ItT , typename _SeqT , typename _CatT >

friend class ::__gnu_debug::_Safe_iterator

friend

Definition at line 59 of file debug/multiset.h.

The documentation for this class was generated from the following file:

- debug/multiset.h